slasq4.f(3)

NAME
slasq4.f -

SYNOPSIS

  Functions/Subroutines
subroutine SLASQ4 (I0, N0, Z, PP, N0IN, DMIN, DMIN1, DMIN2, DN, DN1, DN2, TAU, TTYPE, G)
SLASQ4

Function/Subroutine Documentation

  subroutine SLASQ4 (INTEGERI0, INTEGERN0, REAL, dimension( * )Z, INTEGERPP, INTEGERN0IN, REALDMIN, REALDMIN1, REALDMIN2, REALDN, REALDN1, REALDN2, REALTAU, INTEGERTTYPE, REALG)

SLASQ4

Purpose:

     SLASQ4 computes an approximation TAU to the smallest eigenvalue
     using values of d from the previous transform.

Parameters:
    I0

              I0 is INTEGER
            First index.

    N0

              N0 is INTEGER
            Last index.

    Z

              Z is REAL array, dimension ( 4*N )
            Z holds the qd array.

    PP

              PP is INTEGER
            PP=0 for ping, PP=1 for pong.

    N0IN

              N0IN is INTEGER
            The value of N0 at start of EIGTEST.

    DMIN

              DMIN is REAL
            Minimum value of d.

    DMIN1

              DMIN1 is REAL
            Minimum value of d, excluding D( N0 ).

    DMIN2

              DMIN2 is REAL
            Minimum value of d, excluding D( N0 ) and D( N0-1 ).

    DN

              DN is REAL
            d(N)

    DN1

              DN1 is REAL
            d(N-1)

    DN2

              DN2 is REAL
            d(N-2)

    TAU

              TAU is REAL
            This is the shift.

    TTYPE

              TTYPE is INTEGER
            Shift type.

    G

              G is REAL
            G is passed as an argument in order to save its value between
            calls to SLASQ4.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Further Details:

      CNST1 = 9/16

Definition at line 151 of file slasq4.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.